Bug 868659 - Installation fails with jboss 6.0.1
Installation fails with jboss 6.0.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Hernández
Ilanit Stein
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 09:56 EDT by Ohad Basan
Modified: 2014-10-30 18:34 EDT (History)
8 users (show)

See Also:
Fixed In Version: si23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ohad Basan 2012-10-21 09:56:47 EDT
Description of problem:
setup fails when trying to installe engine under jboss 6.0.1

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.install jboss 6.0.1
2.install rhevm
3.run setup
  
Actual results:
setup fails on  "create CA"

Expected results:
setup finishes successfully.

Additional info:
Comment 1 Ohad Basan 2012-10-21 09:57:25 EDT
gerrit patch:

http://gerrit.ovirt.org/#/c/8611/
Comment 2 Ohad Basan 2012-10-21 09:58:35 EDT
server log entry for reference:

21613 2012-10-16 18:20:34,477 ERROR
> >>> [org.jboss.as.controller.management-operation] (ServerService
> >>> Thread Pool -- 16) JBAS014613: Operation ("enable") failed -
> >>> address: ([
> >>> 21614     ("subsystem" => "datasources"),
> >>> 21615     ("data-source" => "ENGINEDataSource")
> >>> 21616 ]) - failure description: "JBAS010436: Failed to create
> >>> DataSource instance for [{
> >>> 21617     \"operation\" => \"enable\",
> >>> 21618     \"address\" => [
> >>> 21619         (\"subsystem\" => \"datasources\"),
> >>> 21620         (\"data-source\" => \"ENGINEDataSource\")
> >>> 21621     ],
> >>> 21622     \"persistent\" => true
> >>> 21623 }]
> >>> 21624  reason: IJ010073: Invalid <security> configuration"
Comment 6 Ilanit Stein 2012-12-02 07:05:00 EST
Verified on 24.5 (using jboss 6.0.1 ER3)

Note You need to log in before you can comment on or make changes to this bug.